get
https://connect.agendapro.com/v3/available_days
Returns, for 14 consecutive days from start_date, whether each day has at least one free slot
for the service or pack at the location.
Important Notes
- Requires
available_slots:readscope (the same asGET /v3/available_slots). - Exactly one of
service_idorbundle_idis required. - A day is available with the same rules as
GET /v3/available_slots; ask that endpoint for the
times of a day.
Errors Dictionary
| Status | Error | Detail | Description |
|---|---|---|---|
| 400 | invalid_date | — | start_date is not a valid date. |
| 400 | empty_services | — | No active service was found for the given id. |
| 401 | unauthorized | invalid_api_key | Missing or invalid Bearer token. |
| 401 | unauthorized | api_config_inactive | API access is inactive for this company. |
| 403 | forbidden | scope_denied | API key lacks available_slots:read scope. |
| 404 | location_not_found · provider_not_found · service_not_found · bundle_not_found | — | The location, provider, service or pack does not exist or belongs to another company (the key names which). |
| 422 | date_in_the_past | — | The requested date is in the past. |
| 429 | rate_limited | burst_limit_exceeded | Per-minute request limit exceeded. |
| 429 | rate_limited | daily_quota_exceeded | Daily request quota exceeded. |
| 502 | upstream_unavailable | connection_failed | The upstream service is unavailable. |
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
